# =========================================================================
# Unix - specific macros.
# Note: prior to include this file, you must define 'libvroot' macro.
# =========================================================================
OpenGL_Lib=-lGL
# OpenGL_Lib=/home/vladimir/src/Mesa-5.0/lib/libGL.a
# OpenGL_Lib=/usr/local/lib/libMesa3dfxGL.so
# OpenGL_Lib=-lMesa3dfxGL
cc=gcc
ld=gcc
lang=c
rm=rm -f
suffix=a
O=o
cdebug=-ggdb
optflags=-O4 -funroll-loops -ffast-math -fomit-frame-pointer \
	-fexpensive-optimizations
ccflags=-D__UNIX__ $(optflags) -c -Wall -pedantic -rdynamic \
	-I /usr/local/include -idirafter $(libvroot)/include 
ldflags=-L /lib -L /usr/lib -L /usr/local/lib -L /usr/X11R6/lib
libv=$(libvroot)/lib/generic/libV.$(suffix)

# Under Linux:
# -lpthread must be LAST library; otherwise we get core dump
# on start of program statically linked with some NVIDIA's libGL's

# rtl_libs=-lm -ldl -lpthread
rtl_libs=-lm -lpthread
x11_libs=-lX11 -lXext -lXxf86vm $(OpenGL_Lib)
